> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Basic user data

> Endpoint to get basic user data.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml get /auth/me
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /auth/me:
    get:
      tags:
        - Authentication
      summary: Get Basic user data
      description: Endpoint to get basic user data.
      operationId: user_info_auth_me_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
      security:
        - APIKey: []
        - AsUser: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Hyperspell from '@hyperspell/hyperspell';

            const client = new Hyperspell({
              apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.auth.me();

            console.log(response.id);
        - lang: Python
          source: |-
            import os
            from hyperspell import Hyperspell

            client = Hyperspell(
                api_key=os.environ.get("HYPERSPELL_API_KEY"),  # This is the default and can be omitted
            )
            response = client.auth.me()
            print(response.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/hyperspell/hyperspell-go\"\n\t\"github.com/hyperspell/hyperspell-go/option\"\n)\n\nfunc main() {\n\tclient := hyperspell.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Auth.Me(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.ID)\n}\n"
        - lang: CLI
          source: |-
            hyperspell auth me \
              --api-key 'My API Key'
components:
  schemas:
    User:
      properties:
        id:
          type: string
          title: Id
          description: The user's id
        app:
          $ref: '#/components/schemas/AppInfo'
          description: The Hyperspell app's id this user belongs to
        available_integrations:
          items:
            $ref: '#/components/schemas/DocumentProviders'
          type: array
          title: Available Integrations
          description: All integrations available for the app
        installed_integrations:
          items:
            $ref: '#/components/schemas/DocumentProviders'
          type: array
          title: Installed Integrations
          description: All integrations installed for the user
        token_expiration:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Token Expiration
          description: The expiration time of the user token used to make the request
      type: object
      required:
        - id
        - app
        - available_integrations
        - installed_integrations
        - token_expiration
      title: User
    AppInfo:
      properties:
        id:
          type: string
          title: Id
          description: The Hyperspell app's id this user belongs to
        name:
          type: string
          title: Name
          description: The app's name
        icon_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon Url
          description: The app's icon
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Redirect Url
          description: The app's redirect URL
      type: object
      required:
        - id
        - name
        - icon_url
        - redirect_url
      title: AppInfo
    DocumentProviders:
      type: string
      enum:
        - reddit
        - notion
        - slack
        - google_calendar
        - google_mail
        - box
        - dropbox
        - github
        - google_drive
        - vault
        - web_crawler
        - trace
        - microsoft_teams
        - gmail_actions
        - granola
        - fathom
        - fireflies
        - linear
        - hubspot
        - salesforce
        - coda
        - lightfield
        - gong
        - pylon
        - clickup
      title: DocumentProviders
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````